<?php

/**
 * Function BX_archive
 * ------------------------------------------------------
 * This function is based on WP's built-in get_archives()
 * It outputs the following:
 *
 * <h3><a href="link">Month Year</a></h3>
 * <ul class="postspermonth">
 *     <li><a href="link">Post title</a> (Comment count)</li>
 *     [..]
 * </ul>
 */

function BX_archive()
{
global $month, $wpdb;
$now        = current_time('mysql');
$arcresults = $wpdb->get_results("SELECT DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts FROM " . $wpdb->posts . " WHERE post_date <'" . $now . "' AND post_status='publish' AND post_password='' GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date DESC");

if ($arcresults) {
foreach ($arcresults as $arcresult) {
$url  = get_month_link($arcresult->year, $arcresult->month);
$text = sprintf('%s %d', $month[zeroise($arcresult->month,2)], $arcresult->year);
echo get_archives_link($url, $text, '','<h3>','</h3>');

$thismonth   = zeroise($arcresult->month,2);
$thisyear = $arcresult->year;

$arcresults2 = $wpdb->get_results("SELECT ID, post_date, post_title, comment_status FROM " . $wpdb->posts . " WHERE post_date LIKE '$thisyear-$thismonth-%' AND post_status='publish' AND post_password='' ORDER BY post_date DESC");

if ($arcresults2) {
echo "<ul class=\"postspermonth\">\n";
foreach ($arcresults2 as $arcresult2) {
if ($arcresult2->post_date != '0000-00-00 00:00:00') {
$url = get_permalink($arcresult2->ID);
$arc_title = $arcresult2->post_title;

if ($arc_title) $text = strip_tags($arc_title);
else $text = $arcresult2->ID;

echo "<li>".get_archives_link($url, $text, '');
$comments = mysql_query("SELECT * FROM " . $wpdb->comments . " WHERE comment_post_ID=" . $arcresult2->ID);
$comments_count = mysql_num_rows($comments);
if ($arcresult2->comment_status == "open" OR $comments_count > 0) echo '&nbsp;('.$comments_count.')';
echo "</li>\n";
}
}
echo "</ul>\n";
}
}
}
}

/**
 * Function BX_get_recent_posts
 * Outputs an unorderd list of the most recent posts.
 * $current_id this post will be excluded
 * $limitmax. number of posts
 */

function BX_get_recent_posts($current_id, $limit)
{
global $wpdb;
$posts = $wpdb->get_results("SELECT ID, post_title FROM " . $wpdb->posts . " WHERE post_status='publish' AND post_type='post'  ORDER BY post_date DESC LIMIT " . $limit);
foreach ($posts as $post) {
$post_title = stripslashes($post->post_title);
$permalink  = get_permalink($post->ID);
if ($post->ID != $current_id) echo "<li><a href=\"" . $permalink . "\">" . $post_title . "</a></li>\n";
}
}

/**
 * Function BX_get_pages
 * ------------------------------------------------------
 * Returns the following of all WP pages:
 * ID, title, name, (content)
 * $withcontentspecifies if the page's content will
 *also be returned
 */

function BX_get_pages($with_content = '')
{
global $wpdb;
    $query = "SELECT ID, post_title, post_name FROM " . $wpdb->posts . " WHERE post_type='page' OR post_status='static' ORDER BY menu_order ASC";
if ($with_content == "with_content") {
   $query = "SELECT ID, post_title,post_name, post_content FROM " . $wpdb->posts . " WHERE post_type='page' OR post_status='static' ORDER BY menu_order ASC";
}
return $wpdb->get_results($query);
}

/**
 * Function BX_excluded_pages()
 * ------------------------------------------------------
 * Returns the Blix default pages that are excluded
 * from the navigation in the sidebar
 *
 */

function BX_excluded_pages()
{
$pages = BX_get_pages();
$exclude = "";
if ($pages) {
foreach ($pages as $page) {
$page_id = $page->ID;
   $page_name = $page->post_name;
   if ($page_name == "archives" || $page_name == "about"  || $page_name == "about_short" || $page_name == "contact") {
   $exclude .= ", ".$page_id;
   }
   }
   $exclude = preg_replace("/^, (.*?)/","\\1",$exclude);
   }
   return $exclude;
}

/**
 * Function BX_remove_p
 * ------------------------------------------------------
 * Removes the opening <p> and closing </p> from $text
 * Used for the short about text on the front page
 */

function BX_remove_p($text)
{
$text = apply_filters('the_content', $text);
$text = preg_replace("/^[\t|\n]?<p>(.*)/","\\1",$text); // opening <p>
$text = preg_replace("/(.*)<\/p>[\t|\n]$/","\\1",$text); // closing </p>
return $text;
}

// below are widget custom to custom the widget looks without the default //

if ( function_exists('register_sidebars') )  {

register_sidebars(1, array(
'before_widget' => '',
'after_widget' => '',
'before_title' => '<div class="sideh"><em>',
'after_title' => '</em></div>',
));

}

// below are widget custom to custom the widget looks without the default //

function widget_mytheme_mytranslator() {
?>

<div class="sideh"><em><?php _e('Translations'); ?></em></div>
<ul class="Translations">
<li><a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cfr&amp;hl=fr&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/fr.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in French" /></a>
<a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cde&amp;hl=de&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/de.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in German" /></a>
<a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Ces&amp;hl=es&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/es.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in Spanish" /></a>
<a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cit&amp;hl=it&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/it.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in Italian" /></a>
<a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Czh-cn&amp;hl=zh-cn&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/cn.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in Chinese" /></a>
<a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cja&amp;hl=ja&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/jp.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in Japanese" /></a>
<a style="display: inline; border: 0px;" href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cru&amp;hl=ru&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools" rel="nofollow"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/ru.gif" width="17" height="13" alt="Translate <?php if (is_home()) { ?><?php bloginfo('name'); ?><?php } ?><?php if (is_single() || is_page()) { ?><?php the_title(); ?><?php } ?><?php if (is_category()) { ?><?php wp_title(); ?><?php } ?><? if ( function_exists('is_tag')){ ?><?php echo single_tag_title(); ?><? } ?><?php if (is_search()) { ?><?php the_search_query(); ?><?php } ?> in Russian" /></a></li>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Translations GAT'), 'widget_mytheme_mytranslator');

function widget_mytheme_myPopular_Posts() {
?>

<?php /* Popular Posts Code */ ?>
<?php if (function_exists('akpc_the_popularity')) : ?>

<div class="sideh"><em>Popular Articles</em></div>
<ul class="posts">
<?php akpc_most_popular(10, '<li>', '</li>', ''); ?>
</ul>

<?php else : ?><?php endif; ?>
<?php /* Popular Posts Code */ ?>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Popular Posts GAT'), 'widget_mytheme_myPopular_Posts');

function widget_mytheme_myRecent_Articles() {
?>

<div class="sideh"><em>Recent Articles</em></div>

<ul class="posts">
<?php wp_get_archives('type=postbypost&limit=10'); ?>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Recent Articles GAT'), 'widget_mytheme_myRecent_Articles');

function widget_mytheme_myCategories() {
?>

<div class="sideh"><em>Categories</em></div>

<ul class="categories">
<?php wp_list_categories('title_li=&hide_empty=1'); ?>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Categories GAT'), 'widget_mytheme_myCategories');

function widget_mytheme_myTags() {
?>

<?php if ( function_exists('wp_tag_cloud')){ ?>
<div class="sideh"><em>Tags</em></div>

<ul class="categories">
<?php wp_tag_cloud('smallest=8&largest=22&number=50'); ?>
</ul>
<?php } ?>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Tags GAT'), 'widget_mytheme_myTags');

function widget_mytheme_myAdverts() {
?>

<?php /* AdSense Code Start */ ?>
<div class="sideh"><em><?php _e('Adverts'); ?></em></div>
<p style="text-align: center; padding-bottom:5px;"><? include("adsense.php"); ?><?php InsertAdvert($SidebarAd);?></p>
<?php /* AdSense Code End */ ?>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Adverts GAT'), 'widget_mytheme_myAdverts');

function widget_mytheme_myAdvertsClearBG() {
?>

<?php /* AdSense Code Start */ ?>
<div class="sideh"></div>
<p style="text-align: center; padding-bottom:5px;"><? include("adsense.php"); ?><?php InsertAdvert($SidebarAd);?></p>
<?php /* AdSense Code End */ ?>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Adverts Clear BG GAT'), 'widget_mytheme_myAdvertsClearBG');

function widget_mytheme_myarchives() {
?>

<?php if (is_home()) { ?>
<div class="sideh"><em>Posts by Month</em></div>

<ul class="months">
<?php wp_get_archives('type=monthly&limit=12'); ?>
</ul>
<?php } ?>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Archives GAT'), 'widget_mytheme_myarchives');

function widget_mytheme_myBlogroll() {
?>

<div class="sideh"><em>Blogroll</em></div>

<ul class="links">
<?php wp_list_bookmarks('title_li=&categorize=0'); ?>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Blogroll GAT'), 'widget_mytheme_myBlogroll');

function widget_mytheme_myMeta() {
?>

<div class="sideh"><em><?php _e('Meta'); ?></em></div>

<ul class="feeds">
<li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>" rel="nofollow">RSS Feed</a></li>
<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('The latest comments to all posts in RSS'); ?>" rel="nofollow"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
<?php wp_registerseo(); ?>
<li><?php wp_loginoutseo(); ?></li>
<?php wp_meta(); ?>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Meta GAT'), 'widget_mytheme_myMeta');

function widget_mytheme_myPages() {
?>

<div class="sideh"><em>Pages</em></div>
<ul class="pages">
<?php
$excluded = BX_excluded_pages();
wp_list_pages('title_li=&sort_column=menu_order&exclude='.$excluded);
?>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(__('Pages GAT'), 'widget_mytheme_myPages');

# SEO Comment Code Start
define('ICONPATH', '/wp-includes/images/rss.png');
function comments_rss_icon_link($alt_text = 'RSS Comments Feed') {
$url = get_post_comments_feed_link();
$feedurl = get_option('siteurl');
$link_img = ICONPATH;
echo "<a href=\"$url\" rel=\"nofollow\"><img src=\"$feedurl$link_img\" class=\"rss_icon\" alt=\"$alt_text\" /> RSS Comments Feed</a>";
}
# SEO Comment Code End

# SEO Login Code Start
function wp_loginoutseo() {
if ( ! is_user_logged_in() )
$link = '<a href="' . get_option('siteurl') . '/wp-login.php" rel="nofollow">' . __('Login') . '</a>';
else
$link = '<a href="' . get_option('siteurl') . '/wp-login.php?action=logout" rel="nofollow">' . __('Logout') . '</a>';

echo apply_filters('loginout', $link);
}
# SEO Login Code End

# SEO Register Code Start
function wp_registerseo( $before = '<li>', $after = '</li>' ) {
if ( ! is_user_logged_in() ) {
if ( get_option('users_can_register') )
$link = $before . '<a href="' . get_option('siteurl') . '/wp-login.php?action=register" rel="nofollow">' . __('Register') . '</a>' . $after;
else
$link = '';
} else {
$link = $before . '<a href="' . get_option('siteurl') . '/wp-admin/" rel="nofollow">' . __('Site Admin') . '</a>' . $after;
}
echo apply_filters('register', $link);
}
# SEO Register Code End

# AdSense Code Start
function InsertAdvert($Format)
{
if(defined('AdsenseOn') && $Format[2]<1) {
include("adsense.php");

//[width,height,textonlyflag]
//echo "$Format[3] \n"; //uncomment to debug
switch($Format[0])
{
case 1:
$dimension=array(728,90,0);
break;

case 2:
$dimension=array(468,60,0);
break;

case 3:
$dimension=array(125,125,1);
break;

case 4:
$dimension=array(234,60,1);
break;

case 5:
$dimension=array(120,600,0);
break;

case 6:
$dimension=array(160,600,0);
break;

case 7:
$dimension=array(180,150,1);
break;

case 8:
$dimension=array(120,240,1);
break;

case 9:
$dimension=array(300,250,0);
break;

case 10:
$dimension=array(250,250,0);
break;

case 11:
$dimension=array(336,280,0);
break;

case 12:
$dimension=array(200,200,0);
break;

case 13:
$dimension=array(180,90,0);
break;

default:
$dimension=array(200,200,0);
}

//0 = image only, 1 = text only, 2 = both
switch($Format[1])
{
case 0:
if ($dimension[2]==1) $GoogleType="text_image";
else $GoogleType="image";
break;

case 1:
$GoogleType="text";
break;

case 2:
$GoogleType="text_image";
break;

default:
$GoogleType="text_image";
}

$GoogleAdForm=$dimension[0]."x".$dimension[1]."_as";

//Make maximum width of the ad 460 (if footer)
//or 690 (if header) so that it doesn't break 
//the formatting of the theme

switch($Format[3]) {
case 1: 
if ($dimension[0]>465) {$dimension[0]=460;}
break;
case 2:	if ($dimension[0]>=690) {$dimension[0]=690;}
break;
default: break;
}
			
echo "<script type=\"text/javascript\"><!--\n";
echo "google_ad_client = \"$GoogleADID\";\n";
echo "google_ad_width = $dimension[0];\n";
echo "google_ad_height = $dimension[1];\n";
echo "google_ad_format = \"$GoogleAdForm\";\n";
echo "google_ad_type = \"$GoogleType\";\n";
echo "google_ad_channel = \"$GoogleADChan\";\n";
echo "google_color_border = \"$Googleborder\";\n";
echo "google_color_bg = \"$Googlebg\";\n";
echo "google_color_link = \"$Googlelink\";\n";
echo "google_color_url = \"$Googleurl\";\n";
echo "google_color_text = \"$Googletext\";\n";
echo "google_ui_features = \"rc:$GoogleUIfeatures\";\n";

echo "//--></script>\n";
echo "<script type=\"text/javascript\"\n";
echo "  src=\"http://pagead2.googlesyndication.com/pagead/show_ads.js\">\n";
echo "</script>\n";

}
}
# AdSense Code End
?>